Skip to main content
`Ctrl`+`K`

# DMNetworkViewSetShowGlobal

Set viewing the global network.

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkViewSetShowGlobal(DM dm, PetscBool showglobal)

Logically Collective

## Input Parameter

- dm - the `DMNETWORK` object

## Output Parameter

- showglobal - `PETSC_TRUE` if viewing the global network

## See Also

`DM`, `DMNETWORK`, `DMNetworkViewSetShowRanks()`, `DMNetworkViewSetShowVertices()`, `DMNetworkViewSetShowNumbering()`, `DMNetworkViewSetViewRanks()`

## Level

beginner

## Location

src/dm/impls/network/networkview.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages